import type { NodeType } from 'prosemirror-model';
import type { ExtensionAuto } from '../../../core';
export declare const hbType: (schema: import("prosemirror-model").Schema<any, any>) => NodeType;
export declare const sbType: (schema: import("prosemirror-model").Schema<any, any>) => NodeType;
export declare type BreaksOptions = {
    /**
     * This option is used if the 'breaks' parameter is not specified via the context
     * @default 'hard'
     */
    preferredBreak?: 'hard' | 'soft';
};
export declare const Breaks: ExtensionAuto<BreaksOptions>;
declare global {
    namespace YfmEditor {
        interface Context {
            /**
             * Same as @type {MarkdownIt.Options.breaks}
             */
            breaks: boolean;
        }
    }
}
