"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Html = void 0;
const logger_1 = require("../../../logger");
const const_1 = require("./const");
const fromYfm_1 = require("./fromYfm");
const spec_1 = require("./spec");
const toYfm_1 = require("./toYfm");
const Html = (builder) => {
    if (builder.context.has('html') && builder.context.get('html') === false) {
        logger_1.logger.info('[HTML extension]: Skip extension, because HTML disabled via context');
        return;
    }
    builder.addNode(const_1.HtmlNode.Block, () => ({
        spec: spec_1.spec[const_1.HtmlNode.Block],
        fromYfm: { tokenSpec: fromYfm_1.fromYfm[const_1.HtmlNode.Block] },
        toYfm: toYfm_1.toYfm[const_1.HtmlNode.Block],
    }));
    builder.addNode(const_1.HtmlNode.Inline, () => ({
        spec: spec_1.spec[const_1.HtmlNode.Inline],
        fromYfm: { tokenSpec: fromYfm_1.fromYfm[const_1.HtmlNode.Inline] },
        toYfm: toYfm_1.toYfm[const_1.HtmlNode.Inline],
    }));
};
exports.Html = Html;
