"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Subscript = exports.subscript = void 0;
const actions_1 = require("../../../utils/actions");
const schema_1 = require("../../../utils/schema");
const inputrules_1 = require("../../../utils/inputrules");
const sub = require('markdown-it-sub');
exports.subscript = 'sub';
const subAction = 'subscript';
const subType = (0, schema_1.markTypeFactory)(exports.subscript);
const Subscript = (builder) => {
    builder
        .configureMd((md) => md.use(sub))
        .addMark(exports.subscript, () => ({
        spec: {
            excludes: '_',
            parseDOM: [{ tag: 'sub' }],
            toDOM() {
                return ['sub'];
            },
        },
        toYfm: { open: '~', close: '~', mixable: false, expelEnclosingWhitespace: true },
        fromYfm: { tokenSpec: { name: exports.subscript, type: 'mark' } },
    }))
        .addAction(subAction, ({ schema }) => (0, actions_1.createToggleMarkAction)(subType(schema)))
        .addInputRules(({ schema }) => ({
        rules: [(0, inputrules_1.markInputRule)({ open: '~', close: '~', ignoreBetween: '~' }, subType(schema))],
    }));
};
exports.Subscript = Subscript;
