import type { NodeSpec } from 'prosemirror-model';
import type { Action, ExtensionAuto } from '../../../core';
import { HeadingAction } from './const';
export { HeadingAction } from './const';
export { hType } from './utils';
export declare type HeadingOptions = {
    h1Key?: string | null;
    h2Key?: string | null;
    h3Key?: string | null;
    h4Key?: string | null;
    h5Key?: string | null;
    h6Key?: string | null;
    headingPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
};
export declare const Heading: ExtensionAuto<HeadingOptions>;
declare global {
    namespace YfmEditor {
        interface Actions {
            [HeadingAction.ToH1]: Action;
            [HeadingAction.ToH2]: Action;
            [HeadingAction.ToH3]: Action;
            [HeadingAction.ToH4]: Action;
            [HeadingAction.ToH5]: Action;
            [HeadingAction.ToH6]: Action;
        }
    }
}
